Subject: Re: [PATCH] generate COFF zImage in arch/powerpc/boot

From: Olaf Hering <[email-masked]>
Date: Sat, 19 Nov 2005 00:16:43 +0100

On Fri, Nov 18, Olaf Hering wrote:

>  On Fri, Nov 18, Olaf Hering wrote:
> 
> >  On Fri, Nov 18, Paul Mackeras wrote:
> > 
> > 
> > > +++ merge-hack/arch/powerpc/boot/zImage.lds	2005-11-16 23:16:48.000000000 +1100
> > 
> > This change makes arch/powerpc/boot/README obsolete. 
> > Last time I looked, the COFF loader liked only .text, .data and .bss.
> > But maybe hack-coff needs some tweaking to modify also other sections.
> 
> I tried to keep the kernel in its own section. But the firmware does not
> fully setup the memory range for that section. claim and map calls for
> that area are not enough.

After using your new version of claim, I found that the section is not
copied. It contains only sequences of ff0fffff fff0ff0f.

-- 
short story of a lazy sysadmin:
 alias appserv=wotan